Bug 131218 - No focus on any object double clicked in Navigator after a shape object is double click in Navigator
Summary: No focus on any object double clicked in Navigator after a shape object is do...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords:
Depends on:
Blocks: Navigator Selection
  Show dependency treegraph
 
Reported: 2020-03-08 05:05 UTC by Jim Raykowski
Modified: 2020-11-30 10:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2020-03-08 05:05:10 UTC
1. Open or create a Writer document with a shape and table.

2. In the sidebar Navigator double click on a shape.

3. In the sidebar Navigator double click on a table.

Results: Focus is lost

Expected result: Cursor focus in first cell of table double clicked on in the Navigator

AFAIK this is inherited from OOo
Comment 1 Jim Raykowski 2020-03-08 08:01:10 UTC
I have adjusted the bug title to indicate that this happens for any object double clicked on in the Navigator after a shape object has been double clicked on.
Comment 2 V Stuart Foote 2020-03-08 15:37:08 UTC
Confirmed on Windows build

No cursor focus back to object from navigator following navigator 'double click' selection of a draw shape.  While with some other intervening edit after selecting the shape, cursor focus onto a new selection is restored.

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 10e20a77ce302a0475a661ad1886f2ca83c55f3f
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 3 Jim Raykowski 2020-03-14 08:19:20 UTC
The title is a bit wrong. Focus on a Comment/PostIt, navigated to after a shape, works as expected. I was able to use this to make the other content types focus as expected after a shape focus.

https://gerrit.libreoffice.org/c/core/+/90487
Comment 4 Jim Raykowski 2020-03-15 02:49:00 UTC
(In reply to Jim Raykowski from comment #3)
> The title is a bit wrong. Focus on a Comment/PostIt, navigated to after a
> shape, works as expected. I was able to use this to make the other content
> types focus as expected after a shape focus.
> 

I refute my comment #3 about the bug title being a bit wrong. Navigator Comment object 'Go to', done immediately after a Shape object 'Go to', does not show the cursor at the position of comment insert in the document when the patch is not applied.
Comment 5 Commit Notification 2020-11-29 19:53:33 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f7e2f5bca938aa916830e07895d2da6820282055

tdf#131218 Assure standard mode at shell before goto content

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-11-30 10:15:13 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/d5e786d78d2f72a39f02746d6e0faa04da72c60a

tdf#131218 Assure standard mode at shell before goto content

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.